Subject: Re: Trumpeter F-105D Photos
From: Uncle Bill's Hobby <[email-masked]>
Cc: Steve Bamford <[email-masked]>
Date: Sun, 19 Oct 2003 12:19:42 -0600

Hello Steve,
  Long time! I have the article of the F-105D, please feel free to edit!

I think I can do this in a day to day form:

Sept.9th--
  Just another day of waiting for new shippment. Ahha, four hugh boxes!
Thankyou Mr. Postman.
  "Yes thankyou, Mr. Wayne Wren, I like to build one of them, I have
both a F-105D and a F-105G waiting for you, see you later."

Sept.10th---
  "Ok, WW, The credit card charge went through, build it in a week?
Hmmm! I will take a look, just leave me the "D"."

Sept.11th
  Nice Cockpit, detailed gun and gun bay, dry fitting very good overall,
landing gear may be a problem, the engine is very detailed and nice,
lots of weapons!

Sept.12th---
  The only weight for the model: fill the ammo. drum with tiny ball
bearings (from Jim-Model Citizen-Penhale), cockpit, gun, engine, bomb
bay all in, selection of 2 wing tanks, six bombs, ecm pod, and the
Shrike all done, canopy masked with Gunze liquid mask.
  I guess I will put the fuselage together later, too bad about hiding
the nice engine. have to find a way to put in the tail section without
gluing them to the main body.
  Glue all the Spoilers to the top of the wing halves, the flaps and
slats are a bit easier than I thought.
  The landing gears are shaky, glue them with superglue all the way to
the doors.

Sept.13th---
  No work, out to supper on wife's order.

Sept.14th
  Glue the finished wings to the fuselage halves, a bit of thick super
glue will do it fast and easy. No putty needed. The two halves of the
main body fit together like a dream. Doors for refueling probe, gun,
bomb bay all snapped into place. 
  Cut off the rectangular "tail lock" at the top of the main body, the
tail section can be removed or put in now, good idea.
  Wife called at 10:00 PM, yes I will be late for supper! Hands are
dirty, these damn Pollyscale paints dry too fast, but went on nice. 

Sept.15th---
  These Two Bobs decals are very nice to work with! Gunze decal softener
is a good help too. All decals films disappeared after the Pollyscale
gloss and flat finish.
  Both landing gears snapped off! Be careful. the "lubber tires" sure
look good! 
  
Sept.16th---
  Time to unmasked the canopy, put on all the small parts like lights,
antenne, etc., give it a bit of "thinned down wash", paint the matal
parts with metalizer.. 

Sept.17th---
  Get the pilot from the Academy F-18 kit, it sure look like Jack after
some minor work.
  
  The kit is a joy to build, very little cleaning needed, very good fit,
no putty needed, good detail overall, all movable control surfaces work
and look good without the "toy look"
  It can use more detail in the cockpit area, yet it is quite good as
is. The landing gears should be made stronger with metal inserts and
nicer with some wirings. They should provide the bulkhead or firewall or
whatever you call for the tail and the fuselage so the engine can be
displayed in open position, it is a shame to have to hide the detailed
engine, so does the gun. 
  Mr. Wang Please take note: I still have a box full of weapons that I
think is a waste, (4 trees!) the price of the kit can be cut to about
half , may be about $60.00 if the extra weapons are not included!
Trumpeter can sell a few more kits if they market it my way!

  Now, what is this rumour that Trumpeter will re-release the Century
Series in 1/48?   

Uncle (built in 7 days) Rick

 

> Wayne Hui wrote:
> 
> Rick,
> Here are your photos I took of your Trumpeter F-105D.  I have cc Steve
> so that you don't have to fuss with sending the pictures to him
> later.   You can e-mail Steve with your write up.
> 
> 
> Regards,
> Wayne Hui, P.Eng.
> Caliber Engineering Inc.
> (403) 226-5677
> 
>                    Name: DSCN0321.jpg
>    DSCN0321.jpg    Type: JPEG Image (image/jpeg)
>                Encoding: base64
> 
>                    Name: DSCN0312.jpg
>    DSCN0312.jpg    Type: JPEG Image (image/jpeg)
>                Encoding: base64
> 
>                    Name: DSCN0313.jpg
>    DSCN0313.jpg    Type: JPEG Image (image/jpeg)
>                Encoding: base64
> 
>                    Name: DSCN0314.jpg
>    DSCN0314.jpg    Type: JPEG Image (image/jpeg)
>                Encoding: base64
> 
>                    Name: DSCN0315.jpg
>    DSCN0315.jpg    Type: JPEG Image (image/jpeg)
>                Encoding: base64
> 
>                    Name: DSCN0316.jpg
>    DSCN0316.jpg    Type: JPEG Image (image/jpeg)
>                Encoding: base64
> 
>                    Name: DSCN0317.jpg
>    DSCN0317.jpg    Type: JPEG Image (image/jpeg)
>                Encoding: base64
> 
>                    Name: DSCN0318.jpg
>    DSCN0318.jpg    Type: JPEG Image (image/jpeg)
>                Encoding: base64
> 
>                    Name: DSCN0319.jpg
>    DSCN0319.jpg    Type: JPEG Image (image/jpeg)
>                Encoding: base64